version: "3"

services:

  mongo:
    image: mongo:4.2.2
    restart: unless-stopped
    volumes:
      - 'mongo:/data/db'
#      - './config/mongo/dump/:/dump/'
#      - './config/restore.sh:/docker-entrypoint-initdb.d/restore.sh:ro'

  formserver:
    image: registry.gitlab.com/opencontent/stanza-del-cittadino/form-server:latest
    build: .
    restart: unless-stopped
    environment:
      #DEBUG: 1
      DB_URL: mongodb://mongo:27017/formmanager
      #
      # example of string connection for DocumentDB with ssl encrypted connection
      # DB_URL: "mongodb://myuser:mypass@cluster-aymtkza2jt3x.cluster-ck3qqbwohshq.eu-west-1.docdb.amazonaws.com:27016/?ssl=true&ssl_ca_certs=/tmp/ca-bundle.pem&replicaSet=rs0&readPreference=secondaryPreferred&retryWrites=false"
      #SSL_CA_BUNDLE_URL: "https://s3.amazonaws.com/rds-downloads/rds-combined-ca-bundle.pem"
    depends_on:
      - mongo
    ports:
      - 8000:8000


volumes:
  mongo:
